summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
-rw-r--r--contrib/debian/bbackupd38
-rw-r--r--contrib/debian/bbackupd.in46
-rw-r--r--contrib/debian/bbstored38
-rw-r--r--contrib/debian/bbstored.in46
-rw-r--r--contrib/redhat/bbackupd.in (renamed from contrib/redhat/bbackupd)14
-rw-r--r--contrib/redhat/bbstored.in (renamed from contrib/redhat/bbstored)14
-rwxr-xr-xcontrib/solaris/bbackupd-smf-method.in2
-rwxr-xr-xcontrib/solaris/bbstored-smf-method.in2
-rw-r--r--contrib/suse/bbackupd.in (renamed from contrib/suse/bbackupd)8
-rw-r--r--contrib/suse/bbstored.in (renamed from contrib/suse/bbstored)33
10 files changed, 130 insertions, 111 deletions
diff --git a/contrib/debian/bbackupd b/contrib/debian/bbackupd
deleted file mode 100644
index e6d5326c..00000000
--- a/contrib/debian/bbackupd
+++ /dev/null
@@ -1,38 +0,0 @@
-#! /bin/sh
-
-# Start and stop the Box Backup client daemon.
-
-test -x /usr/local/bin/bbackupd || exit 0
-test -f /etc/box/bbackupd.conf || exit 0
-
-case $1 in
- start)
- echo -n "Starting Box Backup Client daemon: bbackupd"
- start-stop-daemon --start --quiet --exec /usr/local/bin/bbackupd > /dev/null
- echo "."
- ;;
-
- stop)
- echo -n "Stopping Box Backup Client daemon: bbackupd"
- start-stop-daemon --stop --quiet --pidfile /var/run/bbackupd.pid --exec /usr/local/bin/bbackupd
- echo "."
- ;;
-
- reload|force-reload)
- echo -n "Reloading the Box Backup Client daemon's configuration"
- start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile /var/run/bbackupd.pid --exec /usr/local/bin/bbackupd
- echo "."
- ;;
-
- restart)
- echo -n "Restarting the Box Backup Client daemon: bbackupd"
- start-stop-daemon --stop --quiet --pidfile /var/run/bbackupd.pid --exec /usr/local/bin/bbackupd
- start-stop-daemon --start --quiet --exec /usr/local/bin/bbackupd > dev/null
- echo "."
- ;;
- *)
- echo "Usage: /etc/init.d/bbackupd {start|stop|reload|force-reload|restart}"
- exit 1
-esac
-
-exit 0
diff --git a/contrib/debian/bbackupd.in b/contrib/debian/bbackupd.in
new file mode 100644
index 00000000..78d4f4ee
--- /dev/null
+++ b/contrib/debian/bbackupd.in
@@ -0,0 +1,46 @@
+#! /bin/sh
+
+# Start and stop the Box Backup client daemon.
+
+BBACKUPD=@bindir_expanded@/bbackupd
+CONFIG=@sysconfdir_expanded@/box/bbackupd.conf
+PIDFILE=@localstatedir_expanded@/bbackupd.pid
+
+test -x $BBACKUPD || exit 0
+test -f $CONFIG || exit 0
+
+case $1 in
+ start)
+ echo -n "Starting Box Backup Client daemon: bbackupd"
+ start-stop-daemon --start --quiet --exec $BBACKUPD > /dev/null
+ echo "."
+ ;;
+
+ stop)
+ echo -n "Stopping Box Backup Client daemon: bbackupd"
+ start-stop-daemon --stop --quiet \
+ --pidfile $PIDFILE --exec $BBACKUPD
+ echo "."
+ ;;
+
+ reload|force-reload)
+ echo -n "Reloading Box Backup Client configuration"
+ start-stop-daemon --stop --signal 1 --quiet --oknodo \
+ --pidfile $PIDFILE --exec $BBACKUPD
+ echo "."
+ ;;
+
+ restart)
+ echo -n "Restarting Box Backup Client daemon: bbackupd"
+ start-stop-daemon --stop --quiet --pidfile $PIDFILE \
+ --exec $BBACKUPD
+ start-stop-daemon --start --quiet \
+ --exec $BBACKUPD > /dev/null
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/bbackupd {start|stop|reload|force-reload|restart}"
+ exit 1
+esac
+
+exit 0
diff --git a/contrib/debian/bbstored b/contrib/debian/bbstored
deleted file mode 100644
index 7a512161..00000000
--- a/contrib/debian/bbstored
+++ /dev/null
@@ -1,38 +0,0 @@
-#! /bin/sh
-
-# Start and stop the Box Backup Server.
-
-test -x /usr/local/bin/bbstored || exit 0
-test -f /etc/box/bbstored.conf || exit 0
-
-case $1 in
- start)
- echo -n "Starting the Box Backup Server daemon: bbstored"
- start-stop-daemon --start --quiet --exec /usr/local/bin/bbstored > /dev/null
- echo "."
- ;;
-
- stop)
- echo -n "Stopping the Box Backup Server daemon: bbstored"
- start-stop-daemon --stop --quiet --pidfile /var/run/bbstored.pid --exec /usr/local/bin/bbstored
- echo "."
- ;;
-
- reload|force-reload)
- echo -n "Reloading the Box Backup Server's configuration"
- start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile /var/run/bbstored.pid --exec /usr/local/bin/bbstored
- echo "."
- ;;
-
- restart)
- echo -n "Restarting the Box Backup Server daemon: bbstored"
- start-stop-daemon --stop --quiet --pidfile /var/run/bbstored.pid --exec /usr/local/bin/bbstored
- start-stop-daemon --start --quiet --exec /usr/local/bin/bbstored > /dev/null
- echo "."
- ;;
-
- *)
- echo "Usage /etc/init.d/bbstored {start|stop|reload|force-reload|restart}"
-esac
-
-exit 0
diff --git a/contrib/debian/bbstored.in b/contrib/debian/bbstored.in
new file mode 100644
index 00000000..da6a50a0
--- /dev/null
+++ b/contrib/debian/bbstored.in
@@ -0,0 +1,46 @@
+#! /bin/sh
+
+# Start and stop the Box Backup server daemon.
+
+BBSTORED=@bindir_expanded@/bbstored
+CONFIG=@sysconfdir_expanded@/box/bbstored.conf
+PIDFILE=@localstatedir_expanded@/bbstored.pid
+
+test -x $BBACKUPD || exit 0
+test -f $CONFIG || exit 0
+
+case $1 in
+ start)
+ echo -n "Starting Box Backup Server daemon: bbstored"
+ start-stop-daemon --start --quiet --exec $BBSTORED > /dev/null
+ echo "."
+ ;;
+
+ stop)
+ echo -n "Stopping Box Backup Server daemon: bbstored"
+ start-stop-daemon --stop --quiet \
+ --pidfile $PIDFILE --exec $BBSTORED
+ echo "."
+ ;;
+
+ reload|force-reload)
+ echo -n "Reloading Box Backup Server configuration"
+ start-stop-daemon --stop --signal 1 --quiet --oknodo \
+ --pidfile $PIDFILE --exec $BBSTORED
+ echo "."
+ ;;
+
+ restart)
+ echo -n "Restarting Box Backup Server daemon: bbstored"
+ start-stop-daemon --stop --quiet --pidfile $PIDFILE \
+ --exec $BBSTORED
+ start-stop-daemon --start --quiet \
+ --exec $BBSTORED > /dev/null
+ echo "."
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/bbstored {start|stop|reload|force-reload|restart}"
+esac
+
+exit 0
diff --git a/contrib/redhat/bbackupd b/contrib/redhat/bbackupd.in
index 63c61ff7..e8ecdc68 100644
--- a/contrib/redhat/bbackupd
+++ b/contrib/redhat/bbackupd.in
@@ -1,13 +1,13 @@
#! /bin/bash
#
-# bbackupd Start/Stop the box backup daemon.
+# bbackupd Start/Stop the box backup client daemon.
#
# chkconfig: 345 93 07
-# description: bbackup is the client side deamon for Box Backup, a completely \
-# automatic on-line backup system
+# description: bbackupd is the client side deamon for Box Backup, \
+# a completely automatic on-line backup system.
# processname: bbackupd
-# config: /etc/box
-# pidfile: /var/run/bbackupd.pid
+# config: @sysconfdir_expanded@/box
+# pidfile: @localstatedir_expanded@/bbackupd.pid
# Source function library.
. /etc/init.d/functions
@@ -19,7 +19,7 @@ RETVAL=0
prog="bbackupd"
# Check that configuration exists.
-[ -f /etc/box/$prog.conf ] || exit 0
+[ -f @sysconfdir_expanded@/box/$prog.conf ] || exit 0
start() {
echo -n $"Starting $prog: "
@@ -49,7 +49,7 @@ restart() {
}
reload() {
- echo -n $"Reloading $prog daemon configuration: "
+ echo -n $"Reloading $prog configuration: "
killproc $prog -HUP
retval=$?
echo
diff --git a/contrib/redhat/bbstored b/contrib/redhat/bbstored.in
index eadca1d1..c7675df5 100644
--- a/contrib/redhat/bbstored
+++ b/contrib/redhat/bbstored.in
@@ -1,13 +1,13 @@
#! /bin/bash
#
-# bbstored Start/Stop the box backup daemon.
+# bbstored Start/Stop the box backup server daemon.
#
# chkconfig: 345 93 07
-# description: bbstore is the server side deamon for Box Backup, a completely \
-# automatic on-line backup system
+# description: bbstored is the server side daemon for Box Backup, \
+# a completely automatic on-line backup system.
# processname: bbstored
-# config: /etc/box
-# pidfile: /var/run/bbstored.pid
+# config: @sysconfdir_expanded@/box
+# pidfile: @localstatedir_expanded@/bbstored.pid
# Source function library.
. /etc/init.d/functions
@@ -19,7 +19,7 @@ RETVAL=0
prog="bbstored"
# Check that configuration exists.
-[ -f /etc/box/$prog.conf ] || exit 0
+[ -f @sysconfdir_expanded@/box/$prog.conf ] || exit 0
start() {
echo -n $"Starting $prog: "
@@ -49,7 +49,7 @@ restart() {
}
reload() {
- echo -n $"Reloading $prog daemon configuration: "
+ echo -n $"Reloading $prog configuration: "
killproc $prog -HUP
retval=$?
echo
diff --git a/contrib/solaris/bbackupd-smf-method.in b/contrib/solaris/bbackupd-smf-method.in
index e7326a78..2c839961 100755
--- a/contrib/solaris/bbackupd-smf-method.in
+++ b/contrib/solaris/bbackupd-smf-method.in
@@ -1,5 +1,5 @@
-PIDFILE=/var/run/bbackupd.pid
+PIDFILE=@localstatedir_expanded@/bbackupd.pid
case $1 in
diff --git a/contrib/solaris/bbstored-smf-method.in b/contrib/solaris/bbstored-smf-method.in
index f9ac8b92..0ea25e40 100755
--- a/contrib/solaris/bbstored-smf-method.in
+++ b/contrib/solaris/bbstored-smf-method.in
@@ -1,4 +1,4 @@
-PIDFILE=/var/run/bbstored.pid
+PIDFILE=@localstatedir_expanded@/bbstored.pid
case $1 in
diff --git a/contrib/suse/bbackupd b/contrib/suse/bbackupd.in
index 4dd94154..d3a5659e 100644
--- a/contrib/suse/bbackupd
+++ b/contrib/suse/bbackupd.in
@@ -7,7 +7,7 @@
# RELEASED AND PROVIDED TO YOU UNDER THE SAME LICENCE AS THE BOXBACKUP
# SUITE OF PROGRAMS. LICENCE MAY BE VIEWED HERE:
#
-# http://www.fluffy.co.uk/boxbackup/license.html
+# http://www.boxbackup.org/license.html
######################################################################
#
# /etc/init.d/bbackupd
@@ -28,7 +28,7 @@
### END INIT INFO
# Check for missing binaries (stale symlinks should not happen)
-BBACKUPD_BIN=/usr/sbin/bbackupd
+BBACKUPD_BIN=@bindir_expanded@/bbackupd
if [ ! -x $BBACKUPD_BIN ] ; then
echo "$BBACKUPD_BIN not installed"
exit 5
@@ -90,7 +90,9 @@ case "$1" in
;;
probe)
- test /etc/box/bbackupd.conf -nt /var/run/bbackupd.pid && echo reload
+ test @sysconfdir_expanded@/box/bbackupd.conf \
+ -nt @localstatedir_expanded@/bbackupd.pid \
+ && echo reload
;;
*)
diff --git a/contrib/suse/bbstored b/contrib/suse/bbstored.in
index 1824dda7..e8c74278 100644
--- a/contrib/suse/bbstored
+++ b/contrib/suse/bbstored.in
@@ -7,15 +7,15 @@
# RELEASED AND PROVIDED TO YOU UNDER THE SAME LICENCE AS THE BOXBACKUP
# SUITE OF PROGRAMS. LICENCE MAY BE VIEWED HERE:
#
-# http://www.fluffy.co.uk/boxbackup/license.html
+# http://www.boxbackup.org/license.html
######################################################################
#
-# /etc/init.d/bbackupd
+# /etc/init.d/bbstored
# and its symbolic link
-# /(usr/)sbin/rcbbackupd
+# /(usr/)sbin/rcbbstored
#
### BEGIN INIT INFO
-# Provides: bbackupd
+# Provides: bbstored
# Required-Start: $named $network $local_fs $syslog
# X-UnitedLinux-Should-Start: $time ypbind sendmail
# Required-Stop: $named $network $localfs $syslog
@@ -23,15 +23,15 @@
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Short-Description: BoxBackup server side daemon
-# Description: Client daemon for the BoxBackup software
-# that allows you to communicate with a bbstored server.
+# Description: Server daemon for the BoxBackup software,
+# to which bbackupd clients connect.
### END INIT INFO
#
# Check for missing binaries (stale symlinks should not happen)
-BBACKUPD_BIN=/usr/sbin/bbstored
-if [ ! -x $BBACKUPD_BIN ] ; then
- echo "$BBACKUPD_BIN not installed"
+BBSTORED_BIN=@bindir_expanded@/bbstored
+if [ ! -x $BBSTORED_BIN ] ; then
+ echo "$BBSTORED_BIN not installed"
exit 5
fi
@@ -43,13 +43,13 @@ rc_reset
case "$1" in
start)
echo -n "Starting bbstored "
- startproc $BBACKUPD_BIN
+ startproc $BBSTORED_BIN
rc_status -v
;;
stop)
- echo -n "Shutting down bstored "
- killproc -TERM $BBACKUPD_BIN
+ echo -n "Shutting down bbstored "
+ killproc -TERM $BBSTORED_BIN
rc_status -v
;;
@@ -74,24 +74,25 @@ case "$1" in
force-reload)
echo -n "Reload service bbstored "
- killproc -HUP $BBACKUPD_BIN
+ killproc -HUP $BBSTORED_BIN
rc_status -v
;;
reload)
echo -n "Reload service bbstored "
- killproc -HUP $BBACKUPD_BIN
+ killproc -HUP $BBSTORED_BIN
rc_status -v
;;
status)
echo -n "Checking for service bbstored "
- checkproc $BBACKUPD_BIN
+ checkproc $BBSTORED_BIN
rc_status -v
;;
probe)
- test /etc/box/bbstored.conf -nt /var/run/bbstored.pid && echo reload
+ test @sysconfdir_expanded@/box/bbstored.conf \
+ -nt @localstatedir_expanded@/bbstored.pid && echo reload
;;
*)